name: Deploy

on:
  push:
    branches:
      - main

jobs:
  deploy:
    runs-on: ubuntu-latest

    steps:
      - name: Fetch repo
        uses: actions/checkout@v3
        with:
          submodules: true # Fetch Hugo themes (true OR recursive)
          fetch-depth: 0

      - name: Setup Hugo
        uses: https://github.com/peaceiris/actions-hugo@v2
        with:
          hugo-version: '0.110.0'

      - name: Build
        run: hugo --minify

      - name: Deploy
        uses: https://github.com/burnett01/rsync-deployments@5.2.1
        with:
          switches: -avzr --delete
          path: "public/"
          remote_path: /srv/digitalstudium.com
          remote_host: digitalstudium.com
          remote_user: root
          remote_key: ${{ secrets.SSH_PRIVATE_KEY }}
